#include <iostream>
using namespace std;
int main()
{
    int n,m;cin>>n>>m;int matrica[n][m];
    for(int i=0;i<n;i++){
        for(int j=0;j<m;j++){
            int f;
            cin>>f;
            matrica[i][j]=f;
        }
    }
    int x=n-1,y=m-1,suma=0; ///x az a fuggoleges, y a vizszintes
    for(int i=0;i<(n+m-3);i++){
        int x1=0,x2=0,y1=0,y2=0,xx=0,yy=0;
        for(int j=0;j<x;j++){///fuggoleges osszeadas
            xx+=matrica[j][y];
            x1+=(matrica[j][y]*(x-j));
        }
        x2=x1-xx;
        for(int j=0;j<y;j++){///fuggoleges osszeadas
            yy+=matrica[x][j];
            y2+=(matrica[x][j]*(y-j));
        }
        y1=y2-yy;
        if((x1+y1)>=(x2+y2)){
            y--;
            suma+=(x2+y2);
        }
        else{
            x--;
            suma+=(x1+y1);
        }

    }
    cout<<suma;
}